groupwise_affine(1)

NAME
groupwise_affine - Affine population registration

SYNOPSIS
groupwise_affine [options] image0 [image1 ...]

DESCRIPTION
This tool registers a population of input images simultaneously, without a template, using either the 'congealing' algorithm or a groupwise similarity measure based on a continuous approximation of mutual information ('RMI').

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Registration Metric Options

--rmi
    Use the RMI (a.k.a. regional mutual information) metric to drive the registration).

--congeal
    Use the congealing algorithm using pixelwise stack entropies to drive the registration. [This is the default]

  Template Image Options

--template <string>, -t <string>
    Input filename for pre-defined template image. [Default: NONE]

--template-with-data <string>, -T <string>
    Use user-supplied template images's pixel data in registration [Default: disabled]

  Output Options

--output-root <string>, -O <string>
    Root directory for all output files. [Default: NONE]

--output <string>, -o <string>
    Output filename for groupwise registration archive. [Default: groupwise.xforms ]

--output-average <string>
    Output filename for registered average image. [Default: average.nii ]

--average-linear
    Use linear interpolation for average image [This is the default]

--average-cubic
    Use cubic interpolation for average image

--no-output-average
    Do not write average image.

  Multiresolution Parameters

--downsample-from <integer>, -d <integer>
    Initial downsampling factor [Default: 4]

--downsample-to <integer>, -D <integer>
    Final downsampling factor. [Default: 1]

--sampling-density <float>, -s <float>
    Probabilistic sampling density. Legal values between 0 and 1. [Default: disabled]

  Image Options and Operations

--force-background <integer>, -B <integer>
    Force background pixels (outside FOV) to given (bin) value. [Default: disabled]

--histogram-bins <integer>, -H <integer>
    Manually set number of histogram bins for entropy evaluation [Default: disabled]

--crop-histograms
    Crop image histograms to make better use of histogram bins.

--smooth <double>
    Sigma of Gaussian smoothing kernel in multiples of template image pixel size. [Default: disabled]

--match-histograms
    Match all image histograms to template data (or first image, if no template image is given)

--free-and-reread
    Free memory allocated for original image whenever these are not needed and re-read image files as needed. This can be useful when running on a machine with limited memory resources.

  Transformation Parameters

--dofs <integer>[,<integer>,...]
    Add DOFs to list [default: one pass, 6 DOF]

--zero-sum, -z
    Enforce zero-sum computation.

--normal-group-first-n <integer>, -N <integer>
    First N images are from the normal group and should be registered unbiased. [Default: 0]

--zero-sum-first-n <integer>, -Z <integer>
    Enforce zero-sum computation for first N images. [Default: disabled]

  Transformation Initialization

--align-bounding-boxes
    Initially align centers of bounding boxes of all images by translations [This is the default]

--align-centers-of-mass
    Initially align centers of mass by translations

--init-scales
    Initialize scale factors using first-order moments

  Optimization Parameters

--exploration <double>, -e <double>
    Exploration of optimization in pixels [Default: 0.25]

--accuracy <double>, -a <double>
    Accuracy of optimization in pixels [Default: 0.01]

--repeat-level <integer>, -r <integer>
    Number of repetitions per optimization level [Default: 5]

--step-factor <double>, -S <double>
    Step factor for successive optimization passes [Default: 0.5]

--delta-f-threshold <double>
    Optional threshold to terminate optimization (level) if relative change of target function drops below this value. [Default: 0]

--disable-optimization
    Disable optimization and output initial configuration.

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.